Method: advertisers.locationLists.patch

  • This document outlines how to update a location list using an HTTP PATCH request.

  • Updating a location list requires specifying the advertiser ID and the location list ID in the path parameters.

  • The updateMask query parameter is required to specify which fields of the location list should be updated.

  • The request and response bodies both contain instances of a LocationList object.

  • Successful updates require the https://www.googleapis.com/auth/display-video authorization scope.

Updates a location list. Returns the updated location list if successful.

HTTP request

PATCH https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/locationLists/{locationList.locationListId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the DV360 advertiser to which the location lists belongs.

locationList.locationListId

string (int64 format)

Output only. The unique ID of the location list. Assigned by the system.

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The mask to control which fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of LocationList.

Response body

If successful, the response body contains an instance of LocationList.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.